LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
Scaling Service Reference

stateless service More...

`import"Scaling.idl";`

Inheritance diagram for Scaling:

## Additional Inherited Members
Public Member Functions inherited from XScaling
double | doScaling ([in] double value)
| Given a numeric value, return the scaled value that conforms to a predefined scaling rule. More...
com::sun::star::chart2::XScaling | getInverseScaling ()
| Get an interface object that conforms to a scaling rule that is the reverse of the original scaling rule. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

stateless service

The documentation for this service was generated from the following file:

- com/sun/star/chart2/Scaling.idl